let
    redshift = require("@stellar-fox/redshift"),
    { string } = require("@xcmats/js-toolbox"),

    // `SEP-0005` Test Vector 4, path index 7
    sep5vec4mnemonic =
        "cable spray genius state float twenty onion head " +
        "street palace net private method loan turn phrase " +
        "state blanket interest dry amazing dress blast tube",
    sep5vec4passphrase = "p4ssphr4se",
    sep5vec4accountNumber = 7,

    // restoring address
    address = redshift.restoreAddress(
        sep5vec4mnemonic, sep5vec4passphrase,
        sep5vec4accountNumber
    );

console.log(
    `${string.padLeft("mnemonic:", 16)}  ${address.mnemonic}`,
    `${string.padLeft("passphrase:", 16)}  ${address.passphrase}`,
    `${string.padLeft("account number:", 16)}  ${address.account}`,
    `${string.padLeft("public:", 16)}  ${address.keypair.publicKey()}`,
    `${string.padLeft("secret:", 16)}  ${address.keypair.secret()}`
);;
